[blfs-dev] [blfs-book] r12492 - trunk/BOOK/networking/netlibs

Pierre Labastie pierre.labastie at neuf.fr
Tue Dec 31 02:53:27 PST 2013


Le 31/12/2013 10:39, Pierre Labastie a écrit :
> Le 30/12/2013 23:56, Armin K. a écrit :
>> On 30.12.2013 23:45, pierre at higgs.linuxfromscratch.org wrote:
>>> Author: pierre
>>> Date: Mon Dec 30 14:45:30 2013
>>> New Revision: 12492
>>>
>>> Log:
>>> Add forgotten explanation for disable-gssapi
>>>
>>> Modified:
>>>     trunk/BOOK/networking/netlibs/libtirpc.xml
>>>
>>> Modified: trunk/BOOK/networking/netlibs/libtirpc.xml
>>> ==============================================================================
>>> --- trunk/BOOK/networking/netlibs/libtirpc.xml	Mon Dec 30 14:34:17 2013	(r12491)
>>> +++ trunk/BOOK/networking/netlibs/libtirpc.xml	Mon Dec 30 14:45:30 2013	(r12492)
>>> @@ -132,6 +132,13 @@
>>>         href="../../xincludes/static-libraries.xml"/>
>>>
>>>       <para>
>>> +      <parameter>--disable-gssapi</parameter>: This switch is needed if
>>> +      <ulink url="http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi">
>>> +      libgssapi</ulink> is not installed. Remove it if libgssapi is installed
>>> +      and you want to use it.
>>> +    </para>
>>> +
>>> +    <para>
>>>         <command>mv -v /usr/lib/libtirpc.so.* ...</command>: Move shared
>>>         libraries into /lib so they are available before /usr is mounted.
>>>       </para>
>>>
>>
>> I believe that you can use MIT krb5 libgssapi here, too.
>>
> Will check, thanks. I'll have to change the optional requirements too.
> 
> Regards
> Pierre
> 
Actually, it is worse than that: that package installs only gssglue, which is
not tested anymore according to the release notes. and the configure script has:
if test x$enable_gssapi = xyes; then
        GSSAPI_CFLAGS=`krb5-config --cflags gssapi`
        GSSAPI_LIBS=`krb5-config --libs gssapi`


fi

So krb5 _is_ needed if --disable-gssapi is not passed. I'll change the text
accordingly.

Pierre



More information about the blfs-dev mailing list